TV_GRAB_IT_DVB(1)

NAME
tv_grab_it_dvb - Grab TV listings for Italy from the DVB-S stream

SYNOPSIS
tv_grab_it_dvb --help

tv_grab_it_dvb [--adapter N] [--config-file FILE] --configure

tv_grab_it_dvb [--config-file FILE] [--output FILE] [--days N]
               [--offset N] [--quiet] [--verbose] [--adapter N]
               [--no-cache-summaries]

DESCRIPTION
 Output TV listings for several channels as provided by the DVB-S stream from Skyitalia.
 This grabber is based on the work of Lukkinosat for everything concerning the decoding of data.
 The tuning part is mostly a port to perl of the relevant parts in szap.
 This is an early release and should be considered beta quality.

First run tv_grab_it_dvb --configure to choose which channels you want to download. Then running tv_grab_it with no arguments will output listings in XML format to standard output.

--configure Prompt for which channels, and writes the configuration file.

--adapter Use this adapter for tuning and grabbing. Default is 0.

--config-file FILE Set the name of the configuration file, the default is ~/.xmltv/tv_grab_it_dvb.conf. This is the file written by --configure and read when grabbing.

--gui OPTION Use this option to enable a graphical interface to be used. OPTION may be 'Tk', or left blank for the best available choice. Additional allowed values of OPTION are 'Term' for normal terminal output (default) and 'TermNoProgressBar' to disable the use of XMLTV::ProgressBar.

--output FILE write to FILE rather than standard output.

--days N Grab N days. Since we cannot decide how much data we get we simply throw away everyting above this number of days.

--offset N Start N days in the future. The default is to start from today.

--quiet Suppress the progress messages normally written to standard error.

--no-cache-summaries Disables caching of summaries in the file summaries.cache It is advised to leave this option on as the summaries part of the data stream can be very different between grabs, and you might get blank descriptions.

--verbose Prints out verbose information useful for debugging. Repeat (up to 4x) for more verbosiness

--version Show the version of the grabber.

--help Print a help message and exit.

CAVEATS
This grabber relies on the linux dvb api, and therefore does not run under windows.

EXAMPLES

tv_grab_it_dvb --adapter 2 --configure
    configures tv_grab_it_dvb using adapter number 2

tv_grab_it_dvb --adapter 2 --quiet
    grabs the full data without displaying anything (useful in cron scripts)

SEE ALSO
xmltv(5).

AUTHOR
Davide Chiarini, davide.chiarini@gmail.com

you can find some more help at http://lnx.htpcpoint.it/forum/